XMLReader
XMLWriter
XMLReader
PHP Manual

# XMLReader::XML

(PHP 5 >= 5.1.2)

XMLReader::XML — Set the data containing the XML to parse

### Opis

bool XMLReader::xml ( string `$source` [, string `$encoding` [, int `$options` ]] )

Set the data containing the XML to parse.

### Parametry

`source`

  String containing the XML to be parsed.

`encoding`

  The document encoding or `NULL`.

`options`

  A bitmask of the XMLReader Options constants.

### Zwracane wartości

Zwraca `TRUE` w przypadku powodzenia, `FALSE` w przypadku błędu.

### Rejestr zmian

Wersja | Opis
--- | ---
5.2.0 | `encoding` and `options` were added.

### Patrz także

- XMLReader::open
- XMLReader::close

XMLReader
XMLWriter
XMLReader
PHP Manual